Update dolphin tests following place changes D7446
ClosedPublic

Authored by meven on Aug 29 2019, 7:33 AM.

Details

Summary

Adapt tests corresponding to changes in D7446
The placesitemmodeltest were not run due to KIO_VERSION not existing

Test Plan

LANG="en" ctest

Diff Detail

Repository
R318 Dolphin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
meven created this revision.Aug 29 2019, 7:33 AM
Restricted Application added a project: Dolphin. · View Herald TranscriptAug 29 2019, 7:33 AM
Restricted Application added a subscriber: kfm-devel. · View Herald Transcript
meven requested review of this revision.Aug 29 2019, 7:33 AM

Why does the kio test check whether we have recentlyused:/ around, while this one doesn't?

meven updated this revision to Diff 65192.Sep 2 2019, 5:16 AM

Make the test capable of running without recentlyused:/ installed

elvisangelaccio accepted this revision.Sep 13 2019, 9:57 AM
elvisangelaccio added inline comments.
src/tests/CMakeLists.txt
74

Don't forget to bump the version :)

This revision is now accepted and ready to land.Sep 13 2019, 9:57 AM
meven updated this revision to Diff 66004.Sep 13 2019, 4:15 PM

Update KIO dependency

elvisangelaccio accepted this revision.Sep 14 2019, 12:54 PM
src/tests/CMakeLists.txt
74

I committed this fix separately on your behalf on the stable branch, please rebase this patch.

Which brings the question: should we push this patch to 19.08? Probably yes.

meven updated this revision to Diff 67205.Wed, Oct 2, 4:53 PM

Fix test following latest changes in D7446

elvisangelaccio accepted this revision.Wed, Oct 2, 8:13 PM
This revision was automatically updated to reflect the committed changes.
meven added a comment.Wed, Oct 9, 8:00 AM

It seems to me the test fails because is uses an older kio version than 5.63 with D7446 applied creating "Recently Saved" group instead of group "Recent".

FAIL! : PlacesItemModelTest::testGroups() Compared values are not the same

Actual   (groups.at(2).second.toString()): "Recently Saved"
Expected (QStringLiteral("Recent"))      : "Recent"

The actual shows that the old "Recently Saved" group was created when it should not have been.

I don't know how this jenkins job works, but I would recommend cleaning the cached artifact KIO 5.63.0 for dolphin somehow.
We can alternatively limit this test run only on KF5 >= 5.64

It seems to me the test fails because is uses an older kio version than 5.63 with D7446 applied creating "Recently Saved" group instead of group "Recent".

FAIL! : PlacesItemModelTest::testGroups() Compared values are not the same

Actual   (groups.at(2).second.toString()): "Recently Saved"
Expected (QStringLiteral("Recent"))      : "Recent"

The actual shows that the old "Recently Saved" group was created when it should not have been.

I don't know how this jenkins job works, but I would recommend cleaning the cached artifact KIO 5.63.0 for dolphin somehow.
We can alternatively limit this test run only on KF5 >= 5.64

Ah I see, then it's ok. We just need to wait for KF5 5.64 on the CI.